%bcond_without tests
%global pypi_name spikeextractors

Name:           python-%{pypi_name}
Version:        0.5.5
Release:        1%{?dist}
Summary:        Python module for extracting recorded and spike sorted extra cellular data from different file types and formats

License:        MIT
URL:            https://github.com/SpikeInterface/spikeextractors
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%{?python_enable_dependency_generator}
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(numpy)

%description
SpikeExtractors attempts to standardize data retrieval rather than data storage. 
This eliminates the need for shared file formats and allows 
for the creation of new tools built off of our data retrieval guidelines.

In addition to implementing multi-format I/O for various formats,
the framework makes it possible to develop software tools that are agnostic 
to the underlying formats by working with the standardized python objects (recording and sorting extractors). 
These include processing routines (filters, sorting algorithms, downstream processing), and visualization widgets.
It also provides mechanisms for lazy manipulation of recordings and sortings (concatenation, combination, subset extraction).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(numpy)
Requires:	python3dist(abi)
%description -n python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{__python3} -m unittest discover
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Jul 07 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 0.5.5-1
- Initial package.
